Create Voucher
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/vouchers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"to_name": "<string>",
"to_email": "<string>",
"voucher_theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"is_active": true
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/vouchers"
payload = {
"code": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"to_name": "<string>",
"to_email": "<string>",
"voucher_theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
from_name: '<string>',
from_email: '<string>',
to_name: '<string>',
to_email: '<string>',
voucher_theme_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
message: '<string>',
is_active: true
})
};
fetch('https://api.vellaro.io/api/v1/admin/vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"to_name": "<string>",
"to_email": "<string>",
"voucher_theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"amount": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"voucher_theme": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_i18n": {},
"image": "<string>"
},
"amount_remaining": 0
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:vouchers
Create Voucher
Admin: create a new gift voucher.
POST
/
api
/
v1
/
admin
/
vouchers
Create Voucher
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
⌘I